import upload from '@/utils/upload'
import request from '@/utils/request'

// 根据条件查询通告列表
export function getNoticeList(params) {
	return request({
		url: '/busi/notice/appList',
		method: 'get',
		params: params
	})
}


// 订阅查询通告列表
export function getSubscribeList(params) {
	return request({
		url: '/busi/notice/subscribeList',
		method: 'get',
		params: params
	})
}
// 关注查询通告列表
export function getLoveList(params) {
	return request({
		url: '/busi/notice/loveList',
		method: 'get',
		params: params
	})
}

// 查通告详情
export function getNoticeDetail(params) {
	return request({
		url: '/busi/notice/appGetDetail',
		method: 'get',
		params: params
	})
}

// 浏览通告
export function addView(params) {
	return request({
		url: '/busi/view/addView',
		method: 'post',
		params: params
	})
}

// 关闭通告
export function closeNotice(params) {
	return request({
		url: '/busi/notice/publishTakeDown',
		method: 'post',
		params: params
	})
}
